Create Permission
curl --request POST \
--url https://api.sandbox.nevermined.app/api/v1/x402/permissions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"planId": "did:nv:def456...",
"maxCredits": 100,
"expiresAt": "2025-02-10T00:00:00Z"
}
'import requests
url = "https://api.sandbox.nevermined.app/api/v1/x402/permissions"
payload = {
"planId": "did:nv:def456...",
"maxCredits": 100,
"expiresAt": "2025-02-10T00:00:00Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({planId: 'did:nv:def456...', maxCredits: 100, expiresAt: '2025-02-10T00:00:00Z'})
};
fetch('https://api.sandbox.nevermined.app/api/v1/x402/permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"permissionHash": "<string>",
"accessToken": "<string>",
"maxCredits": 123,
"usedCredits": 123,
"expiresAt": "2023-11-07T05:31:56Z",
"status": "<string>"
}x402
Create Permission
Creates a delegated permission and generates an x402 access token.
POST
/
x402
/
permissions
Create Permission
Authorizations
Your Nevermined API Key (starts with 'nvm:'). Get one at nevermined.app under Settings > API Keys.
Body
application/json
Permission configuration
⌘I